Subject: Re: bug#79424: 30.2; shell-mode doesn't hide password

From: Colin Baxter <[email-masked]>
Date: Wed, 10 Sep 2025 18:01:54 +0100

>>>>> André A Gomes <[email-masked]> writes:

    > Hello, I'm using shell-mode to copy a file to a remote machine:

    > scp /file/path host-name:/file/path

    > The ssh connection requires inserting the password and I'd expect
    > that shell-mode would replace each of the characters with a
    > placeholder (like asterisks).  However, it exposes the password on
    > the screen.

    > In case it matters, the remote machine is a FreeBSD machine
    > running locally on QEMU, where I am passing the flag "-net
    > user,hostfwd=tcp::2222-:22".

I can confirm that. Both machines - client and host are debians.